<template>
    <base-layout>
    <h1 class="mt-4">List of contacts</h1>
      <ol class="breadcrumb mb-4">
        
    </ol>
    <hr>
    <ol class="breadcrumb mb-4">
        
    </ol>
    <div class="card mb-4">
        <div class="card-header">
          <i class="fas fa-columns me-1"></i>
            Contacts
      </div>
      <div class="card-body">
        <div class="container">
          <div class="row">
            <div class="col-md-offset-1 col-md-10">
              <div class="panel">
                <div class="panel-heading">
                  <div class="row">
                    <div class="col-sm-12 col-xs-12">
                        <router-link class="btn btn-sm btn-primary pull-left" to="/addcontact"> 
                            <i class="fa fa-plus-circle"></i> New Contact
                          </router-link>
    
                      <!-- Modal -->
                    
                      
                    </div>
    
                  </div>
                </div>
                <div class="panel-body table-responsive">
                  <table class="table">
                    <thead>
                      <tr>
                          <th>Action</th>
                          <th>First Name</th>
                          <th>Second Name</th>
                          <th>Email</th>
                          <th>Address</th>
                          <th>Phone</th>
                      </tr>
                  </thead>
                  <tbody>
                    <tr v-for="user in users" :key="user.id">
                        <td>
                            <ul class="action-list">
                                <li><a href="#" class="btn btn-danger"><i class="fa fa-times"></i></a></li>
                            </ul>
                        </td>
                        <td>{{ user.name }}</td>
                        <td>{{ user.fname }}</td>
                        <td>{{ user.email }}</td>
                        <td>{{ user.address }}</td>
                        <td>{{ user.phone }}</td>
                        <td><a href="#" class="btn btn-sm btn-success"><i class="fa fa-eye"></i></a></td>
                    </tr>  
                </tbody>
                  </table>
    
                
    
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      </div>
    </base-layout>
</template>

<script>
import { HTTP } from "../api/api.js"
import util from '../api/util.js';
export default{
    data(){
        return{
            users:[]
        }
    },
    methods:{
        getUsers: async function() {
      await HTTP.get(`user/all`, util.getToken())
        .then(res => {
          this.total = res.data.totalElements;
          this.users = res.data;
          console.log(this.users);
        })
        .catch(e => {
          console.log(e);
          
        });
    },
    },
    mounted(){
        this.getUsers()
    }
}
</script>